const path = require('path');

const DATA_BASE_DIR = 'vreg';
const DATA_REFERENCE_DIR = path.join(DATA_BASE_DIR, 'reference');
const DATA_TEST_DIR = path.join(DATA_BASE_DIR, 'test');
const DATA_ENGINE_SCRIPTS_DIR = path.join(DATA_BASE_DIR, 'scripts');
const DATA_HTML_REPORT_DIR = path.join(DATA_BASE_DIR, 'html');
const DATA_CI_REPORT_DIR = path.join(DATA_BASE_DIR, 'junit');

const TEST_DEFAULTS = {
  delay: 0,
  postInteractionWait: 300,
  selectorExpansion: true,
  misMatchThreshold: 0.1,
  requireSameDimensions: true,
};

const STANDARD_VIEWPORTS = {
  xs: { label: 'xs', width: 320, height: 568 },
  sm: { label: 'sm', width: 428, height: 926 },
  md: { label: 'md', width: 768, height: 1024 },
  lg: { label: 'lg', width: 1024, height: 1366 },
  xl: { label: 'xl', width: 1440, height: 900 },
  xxl: { label: 'xxl', width: 1920, height: 1080 },
  max: { label: 'max', width: 2560, height: 1440 },
};

/* eslint-disable @typescript-eslint/naming-convention */
module.exports = {
  DATA_BASE_DIR,
  DATA_REFERENCE_DIR,
  DATA_TEST_DIR,
  DATA_ENGINE_SCRIPTS_DIR,
  DATA_HTML_REPORT_DIR,
  DATA_CI_REPORT_DIR,
  TEST_DEFAULTS,
  STANDARD_VIEWPORTS,
};
/* eslint-enable @typescript-eslint/naming-convention */
